Package ghidra.app.util.importer

# Class CsHintLoadSpecChooser

java.lang.Object
ghidra.app.util.importer.CsHintLoadSpecChooser

All Implemented Interfaces:
  `LoadSpecChooser`

public class CsHintLoadSpecChooser extends Object implements LoadSpecChooser
Chooses a `LoadSpec` for a `Loader` to use based on a provided `CompilerSpec`.

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.importer.LoadSpecChooser

  `CHOOSE_THE_FIRST_PREFERRED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CsHintLoadSpecChooser(CompilerSpecID compilerSpecID)`
  Creates a new `CsHintLoadSpecChooser`
  `CsHintLoadSpecChooser(String compilerSpecID)`
  Creates a new `CsHintLoadSpecChooser`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LoadSpec`
  `choose(LoaderMap loaderMap)`
  Chooses a `LoadSpec` for a `Loader` to use based on some criteria
  `CompilerSpecID`
  `getCompilerSpecId()`
  Gets the desired `CompilerSpecID` associated with this chooser

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.util.importer.LoadSpecChooser

  `getLanguageId`

- ## Constructor Details

  - ### CsHintLoadSpecChooser

    public CsHintLoadSpecChooser(CompilerSpecID compilerSpecID)
    Creates a new `CsHintLoadSpecChooser`
    Parameters:
      `compilerSpecID` - The `CompilerSpecID` to use (should not be null)

  - ### CsHintLoadSpecChooser

    public CsHintLoadSpecChooser(String compilerSpecID)
    Creates a new `CsHintLoadSpecChooser`
    Parameters:
      `compilerSpecID` - The `CompilerSpecID` to use (should not be null)

- ## Method Details

  - ### getCompilerSpecId

    public CompilerSpecID getCompilerSpecId()
    Description copied from interface: `LoadSpecChooser`
    Gets the desired `CompilerSpecID` associated with this chooser
    Specified by:
      `getCompilerSpecId` in interface `LoadSpecChooser`
    Returns:
      the desired `CompilerSpecID` associated with this chooser, or `null` to mean "any"

  - ### choose

    public LoadSpec choose(LoaderMap loaderMap)
    Description copied from interface: `LoadSpecChooser`
    Chooses a `LoadSpec` for a `Loader` to use based on some criteria
    Specified by:
      `choose` in interface `LoadSpecChooser`
    Parameters:
      `loaderMap` - A `LoaderMap`
    Returns:
      The chosen `LoadSpec`, or null if one could not be found